/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.transform.motorcontrol;

import org.fortiss.af3.platform.raspberry.generator.executable.motorcontrol.MotorControlInputExecutable;
import org.fortiss.af3.platform.raspberry.generator.transform.RasPiGeneratorTransformationBase;
import org.fortiss.af3.platform.raspberry.model.motorcontrol.MotorControlInput;

/** Transformation for {@link MotorControlInput}. */
public class MotorControlInputTransformation extends RasPiGeneratorTransformationBase {
	/** Constructor. */
	public MotorControlInputTransformation() {
		super(MotorControlInput.class, MotorControlInputExecutable.class);
	}
}
